> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-management/data-class-group.md).

# Data Class Group

Management of `Data Class Groups`. Note that these APIs are not yet implemented.

## Find Data Class Groups

> Finds \`Data Class Groups\` based on the provided criteria.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class Group","description":"Management of `Data Class Groups`. Note that these APIs are not yet implemented."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"DataClassGroupName":{"name":"name","in":"query","description":"The name of a `Data Class Group`.\n\nThe matching logic is case insensitive and supports partial matches.\n\nE.g. A search for `PERSONAL` or a search for `Identi` match `Data Class Group` name 'Personal Identifiable Information'\n","required":false,"schema":{"type":"string"}},"Offset":{"name":"offset","in":"query","required":false,"description":"The index of the first result to retrieve.\n\nIf not set (offset = `0`), results will be retrieved starting from row `0`.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}}},"schemas":{"DataClassGroupPagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/DataClassGroup"}}}},"DataClassGroup":{"type":"object","description":"Group of `Data Classes`.\n","required":["id","name","dataClasses"],"properties":{"id":{"$ref":"#/components/schemas/DataClassGroupId"},"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupId":{"type":"string","format":"uuid","description":"The ID of the `Data Class Group`.\n"},"DataClassGroupName":{"type":"string","description":"Name of the `Data Class Group`.\n"},"DataClassIds":{"type":"array","description":"IDs of the `Data Classes` contained in the `Data Class Group`.\n","items":{"$ref":"#/components/schemas/DataClassId"}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClassGroups":{"get":{"tags":["Data Class Group"],"summary":"Find Data Class Groups","description":"Finds `Data Class Groups` based on the provided criteria.\n","operationId":"findDataClassGroups","parameters":[{"$ref":"#/components/parameters/DataClassGroupName"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"`Data Class Groups` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassGroupPagedResponse"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Create a Data Class Group

> Creates a \`Data Class Group\`.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class Group","description":"Management of `Data Class Groups`. Note that these APIs are not yet implemented."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"AddDataClassGroupRequest":{"type":"object","description":"Request to create a `Data Class Group`.\n\nOnly the `name` property is mandatory. If no data classes are defined, the group is created empty.\n","required":["name"],"properties":{"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupName":{"type":"string","description":"Name of the `Data Class Group`.\n"},"DataClassIds":{"type":"array","description":"IDs of the `Data Classes` contained in the `Data Class Group`.\n","items":{"$ref":"#/components/schemas/DataClassId"}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClassGroup":{"type":"object","description":"Group of `Data Classes`.\n","required":["id","name","dataClasses"],"properties":{"id":{"$ref":"#/components/schemas/DataClassGroupId"},"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupId":{"type":"string","format":"uuid","description":"The ID of the `Data Class Group`.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClassGroups":{"post":{"summary":"Create a Data Class Group","description":"Creates a `Data Class Group`.\n","operationId":"addDataClassGroup","tags":["Data Class Group"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDataClassGroupRequest"}}}},"responses":{"201":{"description":"`Data Class Group` successfully created.\n","headers":{"Location":{"description":"Reference to the newly created `Data Class Group`.\n","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassGroup"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Get a Data Class Group

> Get a single \`Data Class Group\` by its identifier.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class Group","description":"Management of `Data Class Groups`. Note that these APIs are not yet implemented."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"DataClassGroup":{"type":"object","description":"Group of `Data Classes`.\n","required":["id","name","dataClasses"],"properties":{"id":{"$ref":"#/components/schemas/DataClassGroupId"},"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupId":{"type":"string","format":"uuid","description":"The ID of the `Data Class Group`.\n"},"DataClassGroupName":{"type":"string","description":"Name of the `Data Class Group`.\n"},"DataClassIds":{"type":"array","description":"IDs of the `Data Classes` contained in the `Data Class Group`.\n","items":{"$ref":"#/components/schemas/DataClassId"}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClassGroups/{dataClassGroupId}":{"get":{"tags":["Data Class Group"],"summary":"Get a Data Class Group","description":"Get a single `Data Class Group` by its identifier.\n","operationId":"getDataClassGroup","responses":{"200":{"description":"`Data Class Group` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassGroup"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Delete a Data Class Group

> Delete a \`Data Class Group\` by its identifier.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class Group","description":"Management of `Data Class Groups`. Note that these APIs are not yet implemented."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}}},"paths":{"/dataClassGroups/{dataClassGroupId}":{"delete":{"summary":"Delete a Data Class Group","description":"Delete a `Data Class Group` by its identifier.\n","tags":["Data Class Group"],"operationId":"deleteDataClassGroup","responses":{"204":{"description":"`Data Class Group` successfully deleted.\n"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Update a Data Class Group.

> Update attributes of a \`Data Class Group\`.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class Group","description":"Management of `Data Class Groups`. Note that these APIs are not yet implemented."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ChangeDataClassGroupRequest":{"type":"object","description":"Request to update a `Data Class Group`.\n\nAll the attributes are optional.\n","properties":{"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupName":{"type":"string","description":"Name of the `Data Class Group`.\n"},"DataClassIds":{"type":"array","description":"IDs of the `Data Classes` contained in the `Data Class Group`.\n","items":{"$ref":"#/components/schemas/DataClassId"}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClassGroup":{"type":"object","description":"Group of `Data Classes`.\n","required":["id","name","dataClasses"],"properties":{"id":{"$ref":"#/components/schemas/DataClassGroupId"},"name":{"$ref":"#/components/schemas/DataClassGroupName"},"dataClasses":{"$ref":"#/components/schemas/DataClassIds"}}},"DataClassGroupId":{"type":"string","format":"uuid","description":"The ID of the `Data Class Group`.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClassGroups/{dataClassGroupId}":{"patch":{"tags":["Data Class Group"],"summary":"Update a Data Class Group.","description":"Update attributes of a `Data Class Group`.\n","operationId":"changeDataClassGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeDataClassGroupRequest"}}}},"responses":{"200":{"description":"`Data Class Group` successfully changed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassGroup"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-class-management/data-class-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
